# getting started

     _______________________
    < welcome to tilde.cafe >
     -----------------------
            \   ^__^
             \  (oo)\_______
                (__)\       )\/\
                    ||----w |
                    ||     ||


## logging in

### windows 10

- open cmd or powershell (alternatively a 3rd party program like putty)
- `ssh username@tilde.cafe`
- enter your ssh key passphrase if needed

if you have windows subsystem for linux (WSL), then open your wsl terminal and follow instructions above.


### linux

- open a terminal
- `ssh username@tilde.cafe`
- enter your ssh key passphrase if needed


### mac

- browse to applications/utilities/terminal and launch terminal (or press cmd+space, start typing terminal, and press return)
- `ssh username@tilde.cafe`
- enter your ssh key passphrase if needed


## basic linux commands

below are some basic commands to get around via ssh.

- `ls` = list files and folders in the current directory
- `cd` = change directory
- `pwd` = tells you which directory you are in
- `nano` = a command line text editor, similar to notepad


## editing your website

using the commands above we can update our homepage:

- type `ls` to see what files and folders are in your home directory
- type `cd ~/public_html` to get to your web site's directory
- type `nano index.html` to open your homepage in nano.

edit the file as you like. when done press `ctrl + x` to quit.
you'll be asked if you want to save, press `y` to confirm. (or `n` to quit without saving)
if it asks you for a filename, press `enter` to confirm.

now navigate to https://tilde.cafe/~your_username to see the result!

for more information about your website, check out [the website page](website.html).
